package com.vaartatechnologies.custom_folder_gallery.includes;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;

import java.io.File;

public class Helper {

    public static void addImageToGallery(Activity activity, String filePath) {
        Intent mediaScanIntent = new Intent(Intent.ACTION_MEDIA_SCANNER_SCAN_FILE);
        File f = new File(filePath);
        Uri contentUri = Uri.fromFile(f);
        mediaScanIntent.setData(contentUri);
        activity.sendBroadcast(mediaScanIntent);
    }

    public static String createFolderInsideApp(Context context, String folderName){
        File storagePath = new File(context.getExternalFilesDir("/").getAbsolutePath());
        File tempDir = new File(storagePath + "/" + folderName);
        if (!tempDir.exists()) {
            boolean created = tempDir.mkdirs();
            if (!created) {
                return "";
            } else {
                return tempDir.getPath();
            }
        } else {
            return tempDir.getPath();
        }
    }
}