
import 'dart:async';

import 'package:flutter/services.dart';

class CustomFolderGallery {
  static const MethodChannel _channel = MethodChannel('custom_folder_gallery');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> addImageToGallery(String filePath) async {
    return await _channel.invokeMethod('addImageToGallery', {"path" : filePath});
  }

  static Future<String> createFolderInsideApp(String folderName) async {
    return await _channel.invokeMethod('createFolderInsideApp', {"folderName" : folderName});
  }
}